Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERTaggedObject

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.ASN1TaggedObject
                  |
                  +--org.bouncycastle.asn1.DERTaggedObject
                        |
                        +--org.bouncycastle.asn1.BERTaggedObject

All Implemented Interfaces:
  DEREncodable, DERTags

public class BERTaggedObject
extends DERTaggedObject

BER TaggedObject - in ASN.1 nottation this is any object proceeded by a [n] where n is some number - these are assume to follow the construction rules (as with sequences).

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`BERTaggedObject(boolean explicit, int tagNo, DEREncodable obj)`
`BERTaggedObject(int tagNo)` create an implicitly tagged object that contains a zero length sequence.
`BERTaggedObject(int tagNo, DEREncodable obj)`

Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject
`equals, getInstance, getObject, getTagNo, hashCode, isEmpty, isExplicit`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BERTaggedObject

    public BERTaggedObject(int tagNo,
                           DEREncodable obj)

Parameters:
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### BERTaggedObject

    public BERTaggedObject(boolean explicit,
                           int tagNo,
                           DEREncodable obj)

Parameters:
  `explicit` - true if an explicitly tagged object.
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### BERTaggedObject

    public BERTaggedObject(int tagNo)

  create an implicitly tagged object that contains a zero length sequence.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD